OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_DescriptiveRepresentationItem Class Reference

`#include <StepRepr_DescriptiveRepresentationItem.hxx>`

Inheritance diagram for StepRepr_DescriptiveRepresentationItem:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_DescriptiveRepresentationItem ()
| Returns a DescriptiveRepresentationItem .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | description

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_DescriptiveRepresentationItem::StepRepr_DescriptiveRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_DescriptiveRepresentationItem::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_DescriptiveRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT void StepRepr_DescriptiveRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

virtual Standard_EXPORT void StepRepr_DescriptiveRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepRepr_DescriptiveRepresentationItem::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_DescriptiveRepresentationItem::description`[private]`

The documentation for this class was generated from the following file:

- StepRepr_DescriptiveRepresentationItem.hxx